Subject: Re: (c.harding 38467) bug in blits

From: "Steve Trottier" <[email-masked]>
Date: Wed, 01 Mar 2000 17:18:07 -0700

I'm sorry. I was behind in my email and just read this exchange. I would agree with Vincent. IF the base DN of the search exists but nothing matches the filter, then success with zero entries returned is correct. However, if the base DN for the search doesn't exist, then the server should return "noSuchObject".

>>> Vincent Ryan <[email-masked]> 02/04/00 08:26AM >>>

The tests listed below all attempt to perform a search at a
non-existent entry. It is correct to expect a noSuchObject
error to be returned.

Admittedly, the Procedure clause in each of the test specifications
is a little misleading and could be replaced with:

    Submit a {subtree | single-level | base-level} search request
    where the base object does not exist.

Chris Harding wrote:
> 
> Hi -
> 
> It seems a bit surprising that this hasn't come up before. Should we change
> BLITS as suggested?
> 
> >From: Christopher Oliva <[email-masked]>
> >To: "[email-masked]'" <[email-masked]>,
> >        "[email-masked]'"
> >        <[email-masked]>,
> >        "[email-masked]'"
> >        <[email-masked]>
> >Subject: (c.harding 38467) bug in blits
> >Date: Thu, 3 Feb 2000 14:26:36 -0500
> >X-Mailer: Internet Mail Service (5.5.2650.21)
> >Comments: (c.harding 38467)
> >
> >Hi,
> >
> >I have a bug report for the following tests in the BLITS suite:
> >
> >3.3.2.9.2
> >3.3.2.9.3
> >3.3.2.9.4
> >
> >They are testing the ldap server response to a search where no entries match
> >the search filter. They require the "noSuchObject" error to be returned. In
> >reality, this is not correct. I can tell you that from working with many
> >(commercial release) directory products that none of them return this error.
> >The correct response from the server is a "success" code with no matching
> >search result entries i.e. there will be no matches and the search completes
> >successfully.
> >
> >The reason is in X.500. Clause 10.2.3 of X.511 (1997) says this:
> >
> >The search request succeeds if the baseObject is located, regardless of
> >whether there are any subordinates to return.
> >
> >Furthermore, noSuchObject is defined as follows in clause 12 of X.511:
> >
> >noSuchObject - The name supplied does not match the name of any object
> >
> >Applied to the search operation, this means the base object parameter of the
> >search (if it cannot be located) will result in this error.
> >
> >This is substantiated by the description of how an LDAPResult is constructed
> >in RFC 2251 4.1.10.
> >
> >As a result of this, I think the BLITS test should be changed. I think some
> >directory implementations may code the incorrect behaviour into their
> >products unless this is changed.
> >
> >Please let me know what you think.
> >
> >Chris.
> >
> >
> >
> 
> Regards,
> 
> Chris
> +++++
> 
> -------------------------------------------------------------------------
>            Chris Harding
>   T H E    Directory Program Manager
>  O P E N   Apex Plaza, Forbury Road, Reading RG1 1AX, UK
> G R O U P  Mailto:[email-masked]   Ph: +44 118 950 8311 x2262
>            WWW: http://www.opengroup.org    Fx: +44 118 950 0110
> 
> OSF/1, Motif, UNIX and the "X" device are registered trademarks in
> the US and other countries, and IT DialTone and The Open Group are
> trademarks of The Open Group.
> -------------------------------------------------------------------------